if not exists (select * FROM sys.sysobjects where id = object_id(N'dbo.Credential')) BEGIN
  create table dbo.Credential (
    ID uniqueidentifier DEFAULT newid() NOT NULL,
    Description VARCHAR(1000),
    Username VARCHAR(256),
    Data nvarchar(max),
    constraint PK_Credential primary key clustered (ID)
  );
END;